
#include "type.h"

Type::~Type()
{
}

TypeInt32::~TypeInt32()
{
}

void TypeInt32::dump(std::ostream& os, int depth)
{
    for(int i = 0; i < depth; i++)
        os << "    ";
    os << "TypeInt32" << std::endl;
}

llvm::Type* TypeInt32::translate(TranslationContext* ctx)
{
    return ctx->builder->getInt32Ty();
}
